include ../Makefile.inc

PREFIX = ..

ASFLAGS =
LDFLAGS = -s
CFLAGS = -march=native -O3 -fomit-frame-pointer -ffast-math
ARFLAGS = cr

LZPACK_OBJS = lzpack.o
INSERT_OBJS = insert.o

.DEFAULT_GOAL = all

.SUFFIXES: .o .c .s

$(PREFIX)/lzpack$(EXE_SUFFIX): $(LZPACK_OBJS)
	$(NATIVE_LD) $(LDFLAGS) $< -o $@

$(PREFIX)/insert$(EXE_SUFFIX): $(INSERT_OBJS)
	$(NATIVE_LD) $(LDFLAGS) $< -o $@

.c.o:
	$(NATIVE_CC) $(CFLAGS) -c $< -o $@

.s.o:
	$(NATIVE_AS) $(ASFLAGS) $< -o $@

.PHONY:	all clean

all: $(PREFIX)/lzpack$(EXE_SUFFIX) $(PREFIX)/insert$(EXE_SUFFIX)

objclean:
	rm -f $(LZPACK_OBJS)
	rm -f $(INSERT_OBJS)

clean: objclean
	rm -f $(PREFIX)/lzpack$(EXE_SUFFIX)
	rm -f $(PREFIX)/insert$(EXE_SUFFIX)
